Name:          libbluedevil
Summary:       Qt-based library written in C++ to handle all Bluetooth functionality
Group:         Graphical desktop/KDE
Version:       1.9.1
Release:       %mkrel 1
License:       LGPLv2+
URL:           https://projects.kde.org/projects/playground/libs/libbluedevil
# Upstream did not release a tarball so we're using git
# git clone git://anongit.kde.org/libbluedevil
# git checkout v1.9

Source0:       ftp://ftp.kde.org/pub/kde/stable/%name/%version/src/%name-%{version}.tar.bz2

BuildRequires: cmake
BuildRequires: kde4-macros
BuildRequires: qt4-devel

%description 
Qt-based library written in C++ to handle all Bluetooth functionality

#------------------------------------------------

%define bluedevil_major 1
%define libbluedevil %mklibname bluedevil %bluedevil_major

%package -n %libbluedevil
Summary: Bluedevil Runtime library
Group: System/Libraries

%description -n %libbluedevil
Qt-based library written in C++ to handle all Bluetooth functionality

%files -n %libbluedevil
%_kde_libdir/libbluedevil.so.%{bluedevil_major}*

#------------------------------------------------

%package devel
Summary: Devel stuff for %name
Group: Development/KDE and Qt
Requires: %libbluedevil = %version-%release

%description  devel
This package contains header files needed if you wish to build applications
based on %{name} .

%files devel
%_kde_includedir/bluedevil
%_kde_libdir/libbluedevil.so
%_kde_libdir/pkgconfig/bluedevil.pc

#-----------------------------------------------------------------------------

%prep
%setup -qn %name-%{version}

%build
%cmake_kde4
%make

%install
rm -rf %buildroot

%makeinstall_std -C build



%changelog

* Mon Oct 10 2011 mikala <mikala> 1.9.1-1.mga2
+ Revision: 153605
- Remove %%clean section
- Update tarball to 1.9.1
- remove %%defattr()

* Tue May 03 2011 mikala <mikala> 1.9-0.mga1
+ Revision: 94333
- Update tarball to 1.9
- use of %%version & do not hardcode version in URL & %%setup

* Mon Feb 21 2011 mikala <mikala> 1.8.1-1.mga1
+ Revision: 55302
- Remove BuildRoot
- Update summary for libbluedevil
- imported package libbluedevil


* Fri Dec 03 2010 Funda Wang <fwang@mandriva.org> 1.8.1-1mdv2011.0
+ Revision: 606721
- update url
- new version 1.8-1

* Mon Sep 13 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 1.8-1mdv2011.0
+ Revision: 578067
- new version; remove patch0 (upstream)

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Use my git patch sent upstream

* Fri Aug 06 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.7-2mdv2011.0
+ Revision: 566502
- Fix requires

* Thu Aug 05 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.7-1mdv2011.0
+ Revision: 566489
- Fix install of pkgconfig (P0)
- import libbluedevil


